Package org.optaplanner.benchmark.config.statistic

## Enum ProblemStatisticType

- java.lang.Object
- - java.lang.Enum<ProblemStatisticType>
  - - org.optaplanner.benchmark.config.statistic.ProblemStatisticType

- All Implemented Interfaces:
    `Serializable`, `Comparable<ProblemStatisticType>`, `StatisticType`

      public enum ProblemStatisticType
      extends Enum<ProblemStatisticType>
      implements StatisticType

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BEST_SCORE` |
    `BEST_SOLUTION_MUTATION` |
    `CALCULATE_COUNT_PER_SECOND` | Deprecated. Use `SCORE_CALCULATION_SPEED` instead.
    `MEMORY_USE` |
    `MOVE_COUNT_PER_STEP` |
    `SCORE_CALCULATION_SPEED` |
    `STEP_SCORE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ProblemStatistic` | `buildProblemStatistic​(ProblemBenchmarkResult problemBenchmarkResult)` |
    `String` | `getLabel()` |
    `boolean` | `hasScoreLevels()` |
    `static ProblemStatisticType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ProblemStatisticType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.benchmark.impl.statistic.StatisticType

      `name`

- - ### Enum Constant Detail

    - #### BEST_SCORE

          public static final ProblemStatisticType BEST_SCORE

    - #### STEP_SCORE

          public static final ProblemStatisticType STEP_SCORE

    - #### CALCULATE_COUNT_PER_SECOND

          @Deprecated
          public static final ProblemStatisticType CALCULATE_COUNT_PER_SECOND

      Deprecated.
      Use `SCORE_CALCULATION_SPEED` instead. Will be removed in 8.0.

    - #### SCORE_CALCULATION_SPEED

          public static final ProblemStatisticType SCORE_CALCULATION_SPEED

    - #### BEST_SOLUTION_MUTATION

          public static final ProblemStatisticType BEST_SOLUTION_MUTATION

    - #### MOVE_COUNT_PER_STEP

          public static final ProblemStatisticType MOVE_COUNT_PER_STEP

    - #### MEMORY_USE

          public static final ProblemStatisticType MEMORY_USE

  - ### Method Detail

    - #### values

          public static ProblemStatisticType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProblemStatisticType c : ProblemStatisticType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProblemStatisticType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLabel

          public String getLabel()

      Specified by:
        `getLabel` in interface `StatisticType`
      Returns:
        never null

    - #### buildProblemStatistic

          public ProblemStatistic buildProblemStatistic​(ProblemBenchmarkResult problemBenchmarkResult)

    - #### hasScoreLevels

          public boolean hasScoreLevels()